> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# Screen for sanctions

> Learn how Middesk screens businesses and individuals against OFAC sanctions lists and global watchlists to support your compliance programs.

Organizations face regulatory pressure to identify customers, associates, and partners that may be subject to economic sanctions or appear on government watchlists. Middesk's screening capabilities help you comply with Office of Foreign Assets Control (OFAC) requirements and perform comprehensive due diligence by identifying entities on U.S. and global watchlists.

Sanctions and watchlist screening is a critical component of Know Your Customer (KYC) and Anti-Money Laundering (AML) programs, helping prevent transactions with individuals and entities involved in money laundering, terrorism financing, and other prohibited activities.

> **How to screen for sanctions**
>
> OFAC sanctions screening is automatically triggered when you create a business in Middesk. Read the [quickstart](/quickstart) for an example workflow.

## How Middesk supports sanctions screenings

Middesk automatically screens all businesses created in the system against OFAC sanctions lists. Given that sanctions lists often lack unique identifiers, Middesk leverages identity matching algorithms to determine if an entity matches any sanctioned records.

Middesk provides the status of each individual sanctions list result and flags any potential matches for your review.

### Search summary

Middesk summarizes sanctions screening results:

| status  | message                                 | sub\_label |
| ------- | --------------------------------------- | ---------- |
| Success | No sanctions hits were identified       | No Hits    |
| Failure | X sanctions hit(s) have been identified | Hits       |

### Sanctions list refresh schedule

Middesk pulls OFAC sanctions lists from official government sources daily at 3:00 AM PT. The government website refreshes data at 2:00 AM PT, ensuring Middesk captures the latest updates almost immediately.

A job ingests the lists into the database around 3:30 AM PT. If the lists fail to be pulled or ingested, automated alerting escalates the issue to Middesk engineers for immediate resolution.

## How Middesk scores name matches

Middesk uses a string comparison scoring algorithm to output a score (0-100) when comparing business and individual names to sanctions records.

The scoring model follows a two-step process:

1. Identifies potential matches using Levenshtein distance.
2. Scores matches using Jaro-Winkler and Soundex algorithms.

Jaro-Winkler prioritizes matches that start similarly, while Soundex ensures phonetic similarity. A composite score determines if a match exceeds the threshold, flagging the entity as a potential match.

The sanctions score threshold must be between 80 and 100.

### Model reference

The types of expected matches vary depending on string length and the distance-based algorithms used in scoring.

| Match confidence | Expected matches                                                                                                                                                                                                                                                             | Score threshold |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------- |
| Exact match      | Exact matches Special characters, non-letters                                                                                                                                                                                                                                | 100             |
| High             | Exact matches Special characters, non-letters, roman letters Single letter modified (added, removed or changed) Name initials added Tokens swapped                                                                                                                           | 95 - 99.99      |
| Medium           | Exact matches Special characters, non-letters, roman letters Single letter modified (added, removed or changed) Name initials added Tokens swapped Extra or changed token Entity designator altered Stop words/non contextual words added One or two tokens removed          | 91 - 94.99      |
| Low              | Exact matches Name abbreviations Extra or changed single or double letter Extra or changed token Tokens Swapped Entity designator altered Stop words/non contextual words added Name salutations Surname replaced with initial Name replaced with initial 50% tokens removed | 87-90.99        |

### Exact match detection

When comparing two names, Middesk first attempts to identify exact matches. Both names are converted to lowercase and split into individual tokens (words).

Middesk filters out:

* Common stop words
* Any tokens less than 3 characters in length
* Any non alpha-numeric characters

A match is considered "exact" if either all tokens from the input name are present in the sanction name (regardless of order) or if the sorted tokens from both names are identical when joined together. For example, given input of **John Smith Company** and a sanction on **COMPANY SMITH JOHN**, this is considered an exact match (the tokens match regardless of order).

> **Note**
>
> This process helps identify matches even when word order differs or when one name contains a subset of the other name's tokens.

### Example records

| Threshold | List value                                                                                                                   | Input name                                                                                                                    | Score |
| --------- | ---------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- | ----- |
| 100       | JARRAYA, Mounir Ben Habib                                                                                                    | @@JARRAYA, Mounir Ben Habib                                                                                                   | 100   |
| 100       | THE JOINT STOCK COMPANY STATE RESEARCH CENTER OF THE RUSSIAN FEDERATION TROITSK INSTITUTE FOR INNOVATION AND FUSION RESEARCH | THE JOINT STOCK COMPANY STATE RESEARCH CENTER OF THE RUSSIAN FEDERATION TROITSK INSTI%TUTE FOR INNOVATION AND FUSION RESEARCH | 100   |
| 96        | WASHINGTON TRADING LTD                                                                                                       | W4SHINGT0N TRADING LTD                                                                                                        | 98    |
| 96        | MAAROUFI, Tarek Ben Habib Ben Al-Toumi                                                                                       | MAAROUFI, Tarek Ben Hablb Ben Al-Toumi                                                                                        | 96.71 |
| 94        | GIGANT KOMPLEKSNYE SISTEMY                                                                                                   | GIGANT XOMPLEKSNYE SISTEMY                                                                                                    | 95.72 |
| 94        | DROGANOV, Aleksey O.                                                                                                         | 100 DROGANOV, Aleksey O.                                                                                                      | 94.74 |
| 86        | ZAGARIA, Carmine                                                                                                             | GARIA, Carmine                                                                                                                | 86.90 |

To configure your sanctions screening settings, go to the **Settings** page in the [Middesk Dashboard](https://app.middesk.com/). The configuration selections apply globally across all businesses.

## Reduce false positives

Middesk offers several configuration options to reduce false positives:

* Filter by date of birth
* Filter by subcategory (business only, submitted people names, or found people names)
* Select specific lists to search

### Filter by date of birth for submitted people

When a date of birth (DOB) is included with submitted people, the model uses DOB as an additional filtering parameter on top of name match scoring.

| Example                            | Description                                                |
| ---------------------------------- | ---------------------------------------------------------- |
| Match `YYYY/mm/dd` (default)       | Match on exact date provided                               |
| Match `YYYY/mm`                    | Match on any date within the month and year provided       |
| Match `YYYY`                       | Match on any date within the year provided                 |
| Match within a range of +1/-1 year | Match on any date within prior and after the year provided |

### Filter for submitted and found people

When searching for sanctions records, you can select `Business only`, `Submitted people names`, and `Found people names` (found from Secretary of State registrations).

### Select lists to search

Select specific OFAC sanctions lists to search against. Middesk supports the following OFAC sanctions lists:

| List                                                                 | Organization                                                       |
| -------------------------------------------------------------------- | ------------------------------------------------------------------ |
| Specially Designated Nationals (SDN)                                 | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Sectoral Sanctions Identifications List (SSI)                        | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Foreign Sanctions Evaders (FSE)                                      | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Non-SDN Menu-Based Sanctions (NS-MBS)                                | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Non-SDN Iranian Sanctions (NS-ISA)                                   | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Non-SDN Chinese Military-Industrial Complex Companies List (NS-CMIC) | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Non-SDN Palestinian Legislative Council List (PLC)                   | Department of the Treasury Office of Foreign Assets Control (OFAC) |
| Capta List (CAP)                                                     | Department of the Treasury Office of Foreign Assets Control (OFAC) |

If you need additional OFAC lists added to the product, contact [support@middesk.com](mailto:support@middesk.com).

To see which lists are enabled or available, go to the Middesk Dashboard **Settings > Screenings > Sanctions** to find more information.

## Enhanced screening with global watchlists

Middesk offers enhanced screening to extend coverage beyond OFAC sanctions lists with 5,704 additional sources including state and local law enforcement, international sanctions lists, regulatory exclusions, and criminal databases.

Enhanced screening allows for comprehensive screening on sanctions, criminal, and debarment lists across the globe to reduce your risk of doing business with a sanctioned or high-risk entity.

### Enable enhanced screenings

Enhanced screening comes with a recommended set of default lists from reputable global financial agencies. You can also customize it to your compliance program's needs, with thousands of lists to potentially screen against.

To enable enhanced screenings, include `enhanced_screenings` in the `orders` array when creating a business:

**`curl`**

```bash title="curl"
curl -X POST https://api.middesk.com/v1/businesses \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "addresses": [
      {
        "address_line1": "123 Main Street",
        "city": "San Francisco",
        "state": "CA",
        "postal_code": "94105"
      }
    ],
    "orders": [
      { "product": "business_verification_verify" },
      { "product": "enhanced_screenings" }
    ]
  }'
```

To see which lists are enabled or available, go to the Middesk Dashboard **Settings > Screenings > Watchlist and Enhanced Screenings** to find more information.

> **Get a demo**
>
> Contact your account manager or [contact sales](https://www.middesk.com/contact-sales) to inquire about access.